<?php 
/**
 * The template for displaying 404 pages (not found)
 *
 * @package ThemeXL
 * @subpackage page-speed-seo
 * @since 1.0.0
 * @version 1.0.0
 */


get_header(); ?>
<?php 
$getImg = get_header_image();
$headerImg = ! empty( $getImg ) ? $getImg : ""; ?>

<!-- hero -->
<section class="psseo-hero psseo-hero-404" <?php if( $headerImg != "" ){ ?> style="background-image: url('<?php echo esc_url( $headerImg ); ?>')" <?php } ?>>
    <div class="container">
        <div class="psseo-hero-text">
            <h1><?php echo esc_html__( '404 Page Not Found!', 'page-speed-seo' ); ?></h1>
        </div>
    </div>
</section>
<!-- end hero -->

<?php get_footer(); ?>