<?php 
/**
* The template for displaying comments
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

    if( post_password_required() ){
    	return;
    }
    
    if( comments_open() ): ?>
		
		<!-- comments post -->
		<div class="psseo-user-comments clearfix">
		    <div class="psseo-comments-num">
		        <h2><?php comments_number( 'No Comments', '1 Comment', '% Comments' ); ?></h2>
		    </div>

		    <?php if( have_comments() ):

	        $args = array(
	        	'type'		=> 'comment',
	        	'callback'	=> 'page_speed_seo_users_comments'
	        );

		    wp_list_comments( $args ); endif; ?>

	    <?php 
	        $args = array(
	        	'echo' 					=> false,
	        	'prev_text'          	=> '<span aria-hidden="true">&laquo;</span><span class="sr-only">Previous</span>',
   				'next_text'          	=> '<span aria-hidden="true">&raquo;</span><span class="sr-only">Next</span>',
	        	'type' 					=> 'array'	
	        );
	        $paginate_comments = paginate_comments_links( $args );
	    ?>

		<?php if( ! empty( $paginate_comments ) ): ?>
		<!-- pagination -->
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="psseo-more">
                <ul class="psseo-pagination">
                    <?php echo page_speed_seo_paginate_links( $paginate_comments ); ?>
                </ul>
            </div>
        </div>
         <!-- end pagination -->
        <?php endif; ?>

        </div>
		<!-- end comments post -->
		
		<!-- leave comment -->
		<div class="psseo-comment-form">
		<?php 

		$comments_args = array(
	        // Change the title of send button 
	        'label_submit' => __( 'Submit comment', 'page-speed-seo' ),
	        // Change the title of the reply section
	        'title_reply' => __( 'Write a Reply or Comment', 'page-speed-seo' ),
	        // Remove "Text or HTML to be displayed after the set of comment fields".
	        'comment_notes_after' => '',
	        // Redefine your own textarea (the comment body).
	        'comment_field' => '<p class="comment-form-comment"><label for="comment">' . __( 'Comment', 'page-speed-seo' ) . '</label><br /><textarea id="comment" name="comment" rows="10" aria-required="true"></textarea></p>',
	        'title_reply_before'	=> '<div class="psseo-leave-comment"><h2>',
			'title_reply_after'		=> '</h2></div>',
		);

			comment_form( $comments_args ); ?>
		</div>
	<!-- end leave comment -->

<?php endif; ?>
