<?php 
/**
* The template for displaying page
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

get_header(); ?>
<?php the_post(); ?>

<?php 

	$thumbStyle = "";
	if( has_post_thumbnail() ){
		$thumb = wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) );
	} 

?>

	<!-- hero -->
    <section class="psseo-hero lazyload" <?php if( ! empty($thumb) ){ ?> data-bgset="<?php echo esc_url( $thumb ); ?>" <?php } ?>>
        <div class="container">
            <div class="psseo-hero-text">
                <h1><?php the_title(); ?></h1>
            </div>
        </div>
    </section>
    <!-- end hero -->

	<section class="psseo-singel-post-content">
	    <div class="container">
	        <div class="row">
	            <div class="col-md-12 col-sm-12 col-xs-12">
	                <div class="psseo-full-post-content">
	                    <?php 
	                    	the_content(); 
	                    	
	                    	$link_pages = page_speed_seo_link_pages();
	                    	
	                    	if( ! empty($link_pages) ){ ?>
	                    	<div class="col-md-12 col-sm-12 col-xs-12">
	                    		<div class="psseo-more">
                                    <ul class="psseo-pagination">
                                    	<?php echo $link_pages; ?>
                                    </ul>
                                </div>
                            </div>
	                    	<?php }
	                    ?>
	                </div>

	                <?php comments_template( '', true ); ?>
	                
	            </div>
	            
	        </div>
	    </div>
	</section>

<?php get_footer(); ?>