<?php 
/**
* The template for displaying search form
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

?>
<div class="psseo-widget-search">
    <form role="search" method="get" id="search-form" action="<?php echo esc_url( home_url('/') ); ?>">
        <input type="search" name="s" placeholder="Search..." value="<?php echo esc_attr( get_search_query() ); ?>" placeholder="<?php esc_attr_e( 'Search', 'page-speed-seo' ); ?>">
        <button type="submit"><i class="glyphicon glyphicon-search" aria-hidden="true"></i></button>
    </form>
</div>